Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Scheduled maintenance

Heads up! Downtime for the Forums, related to the NodeBB upgrade, is planned for Thursday, June 27, starting from 07:00 UTC.
Please make sure to finish all your posts before this time. The downtime should only last for a few minutes.

Opera 54.0.2952.41: Streaming videos don't work anymore

  • @burnout426 said in Opera 54.0.2952.41: Streaming videos don't work anymore:

    Try 54.0.2952.46. There's a video fix in the changelog.

    After getting it all working I updated to that version - videos on Facebook broken again. Now there is an other release
    (54.0.2952.51) available so will try that. If it is still broken I will try copying the same ffmpeg file again! What a palaver!

  • @mklinuxuser said in Opera 54.0.2952.41: Streaming videos don't work anymore:

    @burnout426 said in Opera 54.0.2952.41: Streaming videos don't work anymore:

    Try 54.0.2952.46. There's a video fix in the changelog.

    After getting it all working I updated to that version - videos on Facebook broken again. Now there is an other release
    (54.0.2952.51) available so will try that. If it is still broken I will try copying the same ffmpeg file again! What a palaver!

    Yes, the libffmpeg get replaced in every update, here is what you can do.

    • Download the last libffmpeg from here and extract some place.
    • Do sudo mkdir -p /usr/lib/chromium-browser
    • Copy the libffmpeg.so to that directory with sudo cp libffmpeg.so /usr/lib/chromium-browser
    • Just to make sure run sudo chmod 555 /usr/lib/chromium-browser/libffmpeg.so followed by sudo ldconfig

    That will keep you safe for a while unless there is some huge change in the libffmpeg.

    Opera look in to this places for libffmpeg by default:

    cat /usr/lib/x86_64-linux-gnu/opera/resources/ffmpeg_preload_config.json
    [
      "lib_extra/libffmpeg.so",
      "/usr/lib/chromium-browser/libffmpeg.so",
      "/usr/lib/chromium-browser/libs/libffmpeg.so",
    ]
    

    Why use nwjs-ffmpeg instead of chromium-codecs package?
    Because nwjs-ffmpeg comes complete (11 MB) and works with linux distribution, chromium-codecs is about 3 MB and even if you installed over Debian (my case) it doesn't work for some reason.

  • @appdevsw I tried the fix, and it didn't work for me on Linux Mint 18.3, neither this version nor the new .51

    Since it is still affecting the latest .51 version, while a replacement driver might be a fix for some people, it now sounds a lot less like a simple packaging error.

  • The current version is 54.0.2952.41, the new libffmpeg will not work with previous versions of Opera like 51.
    Try to use the last version from here, I don't know how Linux Mint operates.

  • "/usr/lib/x86_64-linux-gnu/opera/lib_extra" and the libffmpeg.so you put in it seems to survive an upgrade too.

  • @burnout426 Thanks! I'll try that!

  • @s390g2 Thanks for old stable ftp link!

  • 54.0.2952.54 - Still not working!

  • I have the same problem on my Linux Mint 18.3. sighs

  • @catha said in Opera 54.0.2952.41: Streaming videos don't work anymore:

    I have the same problem on my Linux Mint 18.3. sighs

    Oh I was too fast:
    I tried the libffmpeg.so from here bombacha's post 5 days ago
    and this burnout426's post 5 days ago

    and that seems to work.

    I tested it with the youtube video from opening post that did not work before with Opera 54.0.2952.54.

    Thank you.

  • @fjuk We don't 'choose' to limit this functionality. Unfortunately there are complicated legal restrictions around distributing support for H264 video decoding, and it comes down to 'we can't give you this functionality ourselves'.

    Therefore we rely on others to give it to you. On Windows and Mac, it's the operating system that provides libraries that do H264 decoding, and Opera uses those. On Linux it's a bit more complicated, but it comes down to 'we use what Chromium uses except we can't give it to you ourselves'.

    Unfortunately this means that now and then, when the library Chromium uses changes, Opera needs a certain minimum version of the library to be able to work with it. The rule of thumb is that Opera can always use a library if it's the same version as the Chromium version Opera is based on (check opera://about to see which Chromium it's based on), and sometimes older versions, depending on when Chromium last changed the library. Since the library changed in Chromium 67 / Opera 54, we currently can't use older ones.

    While we are waiting for the stable package to be updated in Ubuntu's repositories, if you want a more official, Ubuntu-supplied up-to-date version of the codecs package, there's a package available for Cosmic Beaver which is already at Chromium 67. You can find it here: https://packages.ubuntu.com/cosmic/chromium-codecs-ffmpeg-extra .

  • @avl So it's a fairly simple procedure, except that this library version might break other software. (It seems that I can set things up to either play a video in Opera, or in some other program, but not both.)
    Why does it take you so long to explain it? Are you in the ffmpeg Fight Club or something?

  • I have the same problems. But also I wish someone would look into the fact that Google YouTube and FireFox have a BIG push on to eliminate Add ons. Inf Fire Fox you can NOT use Ad block , YouTube enhancer or anything like them . Your videos wont play. I came to Opera from Firefox Disappointed to see such problems. But I seeany chromium based browsers are having this problem

  • @zhochaka The first thread discussing this very problem was created more than 2 weeks ago, and it actually contained both an explanation (from @jimunderscorep and a very simple solution:

    https://forums.opera.com/topic/27369/videos-not-playing-on-twitter

    In fact, @jimunderscorep explained the idea behind this problem in this 5-month old post:

    https://forums.opera.com/topic/25129/post/3

  • @denisftw I have lost count of the number of different solutions that have been put forward for these problems, all involving somehow obtaining a different version of libffmpeg.so which may not work with any other piece of software, and which can not be relied on to work with a particular version of Opera.

    We're told it's because of patents, or mismatched library versions, or a library version needed specially for the new version of Opera which hasn't been released yet (and that all seems to miss the whole point of a library).

    I am getting confused, and I am beginning to doubt if anyone else really knows a reliable answer. There seems to be too much of "It works for me so it must work for everyone."

    I am trying to stay polite, but if "Tee-Emm" were still around and were dealing with computers, an award of The Most Highly Derogatory Order of the Irremovable Finger would already be in the post. Some of you deserve Season Tickets for your local ambulance service. The gabbling puts me in mind of a flock of chickens arguing over which end of the egg to to hatch from.

    The most reliable fix seem to be to stop using Opera to read Twitter.

  • @zhochaka That's why it is useful to understand the root of the problem. If you read the old @jimunderscorep's post, you will see that the problem is that the new version of the codecs is not yet in the Ubuntu repo. Since the repo is not maintained by Opera developers, there is no reason to blame them. In my opinion, Opera shouldn't release a new version to the stable channel until necessary codecs arrive, but this is an operational problem and has nothing to do with the quality of the product itself.

    Similarly, although obtaining a new version of libffmpeg and copying it manually might work, it is not a good solution. However, if we take into account that Opera 54 was released to the channel too early (relative to codecs), the logical solution is to roll back Opera itself and put it on hold until the Ubuntu team pushes new libffmpeg to their repo, and this was exactly what I did 2 weeks ago and described in this post:

    https://forums.opera.com/post/149314

  • @zhochaka As explained, it's a legal issue that leads to a technical one.

  • @leocg And it's not a new problem. It has happened before. It's a pattern of repeated failure. Is there no web page on this site that you can link to, rather than just saying problem solved?

    If it's a legal problem, I hope somebody has checked with a competent lawyer, because this wouldn't be the first time some competent professional has just been wrong about the law.

  • @zhochaka If people followed the rules, they probably would find the several topics on this subject and get a solution.

    I could create a FAQ topic on the Opera for Linux forum and include the information but my experience says that many people will not read it.

Log in to reply